import { Category } from 'src/category/entities/category.entity';
import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  ManyToOne,
  JoinColumn,
} from 'typeorm';

@Entity()
export class Product {
  @PrimaryGeneratedColumn()
  id: number;

  @Column()
  title: string;

  @Column()
  description: string;

  @Column()
  price: number;

  @Column({ nullable: true })
  image: string;

  @ManyToOne(() => Category, () => {}, {
    onDelete: 'CASCADE',
    onUpdate: 'CASCADE',
    cascade: ['soft-remove', 'remove'],
  })
  @JoinColumn({ name: 'categoryId' })
  category?: Category;
  @Column({ nullable: true })
  categoryId?: number;
}
